#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_IntermediateExchangeData
{
	//编号
	int mID;
	//鱼名
	std::string mname;
	//道具
	std::vector<int> mitemId;
	//数量
	std::vector<int> mitemcount;
	//基础奖励
	std::vector<int> mfixedReward;
	//概率奖励
	std::vector<int> mprobabilityReward;
	//福袋奖励
	std::vector<int> mprimaryFubao;
	//新手礼包积分
	std::vector<int> mNewGiftIntegral;
	//新手积分
	std::vector<int> mNewIntegral;
	//礼包积分
	std::vector<int> mGiftIntegral;
	//消耗权重
	std::vector<int> mComIntegral;
	//普通积分
	std::vector<int> mNorIntegral;
	//不上榜权重
	std::vector<int> mOnListWeight;
};

class Fish_IntermediateExchange
{
public:
private:
	static std::auto_ptr<Fish_IntermediateExchange> msSingleton;
public:
	int GetCount();
	const Fish_IntermediateExchangeData* GetData(int ID);
	boost::unordered_map<int, Fish_IntermediateExchangeData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_IntermediateExchange* GetSingleton();
private:
	boost::unordered_map<int, Fish_IntermediateExchangeData> mMapData;
};
